Subject: Re: Bug in chere
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Tue, 14 Jun 2005 20:28:58 +0900 (JST)

Hi Dave, 

From: Dave <d_inabox !at! yahoo.com>
Date: Mon, 13 Jun 2005 15:09:27 -0700 (PDT)
::>chere adds a "bash here" context menu just fine. However:
::>
::>1) You have to click on a folder icon, clicking in a folder
::>   that's open does not work
::>2) It opens the shell not in the folder you clicked on, but
::>   in the parent folder
::
::Thanks for the report. Now how did that go unnoticed? More explicit instructions
::to reproduce:
::
::1) In the LH pane of Explorer, select a folder with subdirectories
::   (eg c:\windows).
::2) In the RH pane, right click a subdirectory and select Bash here.
::   (eg system32).
::
::Bash will start in the parent directory (c:\windows)

Wow, was that a bug?
I thought that was the chere's feature,
which I'm now got used to... oh well ;-)

::A known workaround is to specify -1 (that's a one) when invoking chere. However,
::as noted in the documentation this won't work properly if you use ash or tcsh.
::Or if you try to open a network location.
::
::I'm restructuring the script at the moment and have a fix in mind. Hopefully it
::will be ready for release sometime soon.
::
::
::Thanks,
::
::Dave.
::chere maintainer

Big THANK YOU for creating and maintaining chere for us.

 Regards,
  Haro
=-----------------------------------------------------------------------
           _ _    Munehiro (haro) Matsuda
 -|- /_\  |_|_|   KGT Inc.
 /|\ |_|  |_|_|   2-8-8 Shinjuku, Shinjuku-ku Tokyo 160-0022, Japan
                  Tel: +81-3-3225-0767  Fax: +81-3-3225-0740
                  Email: [email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/